package com.example.what_the_fantasy.ui.screens

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.sp
import com.example.what_the_fantasy.ui.components.NavBar
import com.example.what_the_fantasy.ui.theme.colorBackground

@Composable
fun AccueilPage(
    navFavorite: () -> Unit,
    navQuiz: () -> Unit
) {
    NavBar(onAccueil = true,
        navControllerFavorite = navFavorite,
        navControllerAccueil = {  },
        navControllerProfil = {},
        navControllerQuiz = navQuiz
    ){
        Box(
            modifier = Modifier
                .fillMaxSize()
                .background(colorBackground),
            contentAlignment = Alignment.Center
        ){
            Column {
                Text("Accueil", color = Color.White, fontSize = 20.sp)
            }
        }
    }
}